Name:		freeciv
Version:	2.3.1
%define subrel	2
Release:	%mkrel 1
Summary:	CIVilization clone
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.freeciv.org/
Source0:	http://downloads.sourceforge.net/freeciv/Freeciv%202.3/%{version}/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.wrapper
Source2:	stdsounds2.tar.bz2
Patch0:		freeciv-2.3.2-CVE-2012-6083.patch
Patch1:		freeciv-2.3.2-CVE-2012-5645.patch
BuildRequires:	SDL_mixer-devel
BuildRequires:	gtk+2-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ggz-gtk-client-devel
Requires(post): ggz-client-libs
Requires(preun): ggz-client-libs

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server = %{version}
BuildArch: noarch

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version} %{name}-server = %{version}
Obsoletes:	%{name}-client < %{version}-%{release}
Requires(post):	ggz-client-libs
Requires(preun): ggz-client-libs 

%description    client
This is the graphical client for freeciv

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version}
Requires(post):	ggz-client-libs
Requires(preun): ggz-client-libs 

%description    server
This is the server for freeciv.

%prep
%setup -q
%patch0 -p1 -b .CVE-2012-6083
%patch1 -p2 -b .CVE-2012-5645

%build
#locales are not in %{_gamesdatadir}
export localedir=%{_datadir}/locale

%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --enable-client=gtk-2.0 \
    --enable-ipv6=yes

%make

%install
rm -rf %{buildroot}
%makeinstall_std localedir=%{_datadir}/locale

tar -jxf %{SOURCE2} -C %{buildroot}%{_gamesdatadir}/%{name}

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

# menu entry
desktop-file-install --vendor="" \
			--remove-category="Application" \
			--remove-category="GNOME" \
			--remove-category="Strategy" \
			--add-category="GTK" \
			--add-category="StrategyGame" \
			--dir %{buildroot}%{_datadir}/applications \
            %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

# omit ggz.modules, to register at install, not build, time.
rm %{buildroot}%{_sysconfdir}/ggz.modules
# include .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz
install -p -D -m644 data/civclient.dsc %{buildroot}%{_datadir}/ggz/civclient.dsc
install -p -D -m644 data/civclient.dsc %{buildroot}%{_datadir}/ggz/civserver.dsc 

#remove unneeded
rm -f %{buildroot}%{_libdir}/*a
rm -f %{buildroot}%{_mandir}/man6/*ftwl*
rm -f %{buildroot}%{_mandir}/man6/*sdl*
rm -f %{buildroot}%{_mandir}/man6/*win32*
rm -f %{buildroot}%{_mandir}/man6/*xaw*

%clean
rm -rf %{buildroot}

%post client 	 
%{_bindir}/ggz-config --install --force --modfile=%{_datadir}/ggz/civclient.dsc || :

%preun client 	 
if [ $1 -eq 0 ]; then 	 
   %{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/civclient.dsc || : 	 
fi

%post server 	 
%{_bindir}/ggz-config --install --force --modfile=%{_datadir}/ggz/civserver.dsc || : 	 
	  	 
%preun server 	 
if [ $1 -eq 0 ]; then 	 
  %{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/civserver.dsc || : 	 
fi

%files -f %{name}.lang data
%defattr(-,root,root)
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}

%files client
%defattr(-,root,root)
%{_gamesbindir}/freeciv-gtk2
%{_gamesbindir}/freeciv-manual
%{_gamesbindir}/freeciv-modpack
%{_mandir}/man6/freeciv-client.6*
%{_mandir}/man6/freeciv-gtk2.6*
%{_mandir}/man6/freeciv-modpack.6*
%{_datadir}/applications/freeciv.desktop
%{_datadir}/applications/freeciv-modpack.desktop
%{_datadir}/pixmaps/freeciv-client.png
%{_iconsdir}/hicolor/*/apps/freeciv-client.png
%{_iconsdir}/hicolor/*/apps/freeciv-modpack.png
%{_datadir}/ggz/civclient.dsc

%files server
%defattr(-,root,root)
%{_gamesbindir}/civserver.real
%{_gamesbindir}/freeciv-server
%{_mandir}/man6/freeciv-server.6*
%{_datadir}/applications/freeciv-server.desktop
%{_iconsdir}/hicolor/*/apps/freeciv-server.png
%{_datadir}/ggz/civserver.dsc




%changelog

* Thu Jan 10 2013 luigiwalser <luigiwalser> 2.3.1-1.2.mga2
+ Revision: 344785
- previously added CVE-2012-5645 patch is actually CVE-2012-6083 (renamed)
- add real CVE-2012-5645 patch from upstream
- add upstream patch to fix CVE-2012-5645

  + zezinho <zezinho>
    - added freeciv-modpack desktop shortcut and icons
    - new version

* Thu Sep 22 2011 zezinho <zezinho> 2.3.0-1.mga2
+ Revision: 146875
- new version 2.3

* Wed Mar 09 2011 eandry <eandry> 2.2.5-1.mga1
+ Revision: 66942
- New version 2.2.5
- enable ipv6

* Sun Feb 20 2011 eandry <eandry> 2.2.4-1.mga1
+ Revision: 54813
- New version 2.2.4
- imported package freeciv

